com.google.cloud.dataflow.sdk.io

## Class PubsubIO.PubsubTopic

- java.lang.Object
- - com.google.cloud.dataflow.sdk.io.PubsubIO.PubsubTopic

All Implemented Interfaces:
  Serializable

Enclosing class:
  PubsubIO

    public static class PubsubIO.PubsubTopic
    extends Object
    implements Serializable

Class representing a Cloud Pub/Sub Topic.

See Also:
  Serialized Form

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`String` `asPath()` Returns the string representation of this topic as a path used in the Cloud Pub/Sub API.
`String` `asV1Beta1Path()` Deprecated. the v1beta1 API for Cloud Pub/Sub is deprecated.
`String` `asV1Beta2Path()` Deprecated. the v1beta2 API for Cloud Pub/Sub is deprecated.
`static PubsubIO.PubsubTopic` `fromPath(String path)` Creates a class representing a Cloud Pub/Sub topic from the specified topic path.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### fromPath

    public static PubsubIO.PubsubTopic fromPath(String path)

Creates a class representing a Cloud Pub/Sub topic from the specified topic path.

Cloud Pub/Sub topic names should be of the form `/topics/<project>/<topic>`, where `<project>` is the name of the publishing project. The `<topic>` component must comply with the following requirements:

- Can only contain lowercase letters, numbers, dashes ('-'), underscores ('_') and periods ('.').
- Must be between 3 and 255 characters.
- Must begin with a letter.
- Must end with a letter or a number.
- Cannot begin with 'goog' prefix.

#### asV1Beta1Path

    @Deprecated
    public String asV1Beta1Path()

Deprecated. the v1beta1 API for Cloud Pub/Sub is deprecated.
Returns the string representation of this topic as a path used in the Cloud Pub/Sub v1beta1 API.

#### asV1Beta2Path

    @Deprecated
    public String asV1Beta2Path()

Deprecated. the v1beta2 API for Cloud Pub/Sub is deprecated.
Returns the string representation of this topic as a path used in the Cloud Pub/Sub v1beta2 API.

#### asPath

    public String asPath()

Returns the string representation of this topic as a path used in the Cloud Pub/Sub API.